Skip to main content
POST
/
users
curl --request POST \ --url https://api.peeker.ai/api/partner/v1/users \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data ' { "email": "client@example.com", "sequencer": { "provider": "smartlead", "client_id": 366903 } } '
{ "data": { "id": "usr_01HZX0C6Z3K4M5N6P7Q8R9S0", "email": "alex@acme.com", "first_name": "Alex", "last_name": "Rivera", "status": "active", "sequencer": { "provider": "smartlead", "client_id": 366903 }, "created_at": "2026-05-08T12:00:00Z" } }

Documentation Index

Fetch the complete documentation index at: https://docs.peeker.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
default:Bearer pk_test_<your-test-key>
required

Your partner API key. Use pk_live_… against the live system or pk_test_… against the sandbox.

Body

application/json
email
string
required

Their email. Must be unique inside your partner account.

sequencer
object
required
first_name
string
last_name
string

Response

User created.

data
object
required
Last modified on May 14, 2026